Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.reasoner.dig
Interface DIGProfile

    public interface DIGProfile

Encapsulates the multiple extant versions of the DIG protocol, which have different expectations as to namespaces, XML encodings, and other variables. This allows us to parameterise the DIG interface to different DIG enabled tools.

Version:
  Release @release@ ($Id: DIGProfile.java,v 1.12 2008/01/02 12:07:11 andy_seaborne Exp $)
Author:
  Ian Dickinson, HP Labs (email)

Field Summary
`static java.lang.String` | `ALL`
`static java.lang.String` | `ALL_CONCEPT_NAMES`
`static java.lang.String` | `ALL_INDIVIDUALS`
`static java.lang.String` | `ALL_ROLE_NAMES`
`static java.lang.String` | `ANCESTORS`
`static java.lang.String` | `AND`
`static java.lang.String` | `ASK` The DIG element denoting the ask capabilities of the reasoner
`static java.lang.String` | `ASKS`
`static java.lang.String` | `ATLEAST`
`static java.lang.String` | `ATMOST`
`static java.lang.String` | `ATTRIBUTE`
`static java.lang.String` | `BOTTOM`
`static java.lang.String` | `CATOM`
`static java.lang.String` | `CHAIN`
`static java.lang.String` | `CHILDREN`
`static java.lang.String` | `CODE`
`static java.lang.String` | `CONCEPT_SET`
`static java.lang.String` | `DEFATTRIBUTE`
`static java.lang.String` | `DEFCONCEPT`
`static java.lang.String` | `DEFFEATURE`
`static java.lang.String` | `DEFINDIVIDUAL`
`static java.lang.String` | `DEFINED`
`static java.lang.String` | `DEFROLE`
`static java.lang.String` | `DESCENDANTS`
`static java.lang.String` | `DISJOINT`
`static java.lang.String` | `DOMAIN`
`static java.lang.String` | `EQUALC`
`static java.lang.String` | `EQUALR`
`static java.lang.String` | `EQUIVALENTS`
`static java.lang.String` | `ERROR`
`static java.lang.String` | `FALSE`
`static java.lang.String` | `FEATURE`
`static java.lang.String` | `FUNCTIONAL`
`static java.lang.String` | `GET_IDENTIFIER` The DIG verb to get the identification information on the reasoner
`static java.lang.String` | `ID`
`static java.lang.String` | `IMPLIESC`
`static java.lang.String` | `IMPLIESR`
`static java.lang.String` | `INDIVIDUAL`
`static java.lang.String` | `INDIVIDUAL_PAIR`
`static java.lang.String` | `INDIVIDUAL_PAIR_SET`
`static java.lang.String` | `INDIVIDUAL_SET`
`static java.lang.String` | `INSTANCE`
`static java.lang.String` | `INSTANCEOF`
`static java.lang.String` | `INSTANCES`
`static java.lang.String` | `INTEQUALS`
`static java.lang.String` | `INTMAX`
`static java.lang.String` | `INTMIN`
`static java.lang.String` | `INTRANGE`
`static java.lang.String` | `INVERSE`
`static java.lang.String` | `ISET`
`static java.lang.String` | `IVAL`
`static java.lang.String` | `KB`
`static java.lang.String` | `LANGUAGE` The DIG element denoting the language capabilities of the reasoner
`static java.lang.String` | `MAX`
`static java.lang.String` | `MESSAGE` The DIG attribute denoting the version message string of a reasoner
`static java.lang.String` | `MIN`
`static java.lang.String` | `NAME`
`static java.lang.String` | `NEWKB`
`static java.lang.String` | `NOT`
`static java.lang.String` | `NUM`
`static java.lang.String` | `OK`
`static java.lang.String` | `OR`
`static java.lang.String` | `PARENTS`
`static java.lang.String` | `RANCESTORS`
`static java.lang.String` | `RANGE`
`static java.lang.String` | `RANGEINT`
`static java.lang.String` | `RANGESTRING`
`static java.lang.String` | `RATOM`
`static java.lang.String` | `RCHILDREN`
`static java.lang.String` | `RDESCENDANTS`
`static java.lang.String` | `RELATED`
`static java.lang.String` | `RELATED_INDIVIDUALS`
`static java.lang.String` | `RELEASEKB`
`static java.lang.String` | `RESPONSE`
`static java.lang.String` | `ROLE_FILLERS`
`static java.lang.String` | `ROLE_SET`
`static java.lang.String` | `RPARENTS`
`static java.lang.String` | `SATISFIABLE`
`static java.lang.String` | `SOME`
`static java.lang.String` | `STRINGEQUALS`
`static java.lang.String` | `STRINGMAX`
`static java.lang.String` | `STRINGMIN`
`static java.lang.String` | `STRINGRANGE`
`static java.lang.String` | `SUBSUMES`
`static java.lang.String` | `SUPPORTS` The DIG element denoting the capabilities of the reasoner
`static java.lang.String` | `SVAL`
`static java.lang.String` | `SYNONYMS`
`static java.lang.String` | `TELL` The DIG element denoting the tell capabilities of the reasoner
`static java.lang.String` | `TELLS`
`static java.lang.String` | `TOLD_VALUES`
`static java.lang.String` | `TOP`
`static java.lang.String` | `TRANSITIVE`
`static java.lang.String` | `TRUE`
`static java.lang.String` | `TYPES`
`static java.lang.String` | `URI`
`static java.lang.String` | `VAL`
`static java.lang.String` | `VALUE`
`static java.lang.String` | `VERSION` The DIG attribute denoting the version string of a reasoner
`static java.lang.String` | `WARNING`

Method Summary
`java.lang.String` | `getContentType()` Answer the HTTP Content-Type of a DIG request (e.g. text/xml)
`java.lang.String` | `getDIGNamespace()` Answer the root namespace for this version of the DIG protocol
`java.lang.String` | `getInconsistentKBMessage()` Answer the string value of an error message denoting an inconsistent KB
`java.lang.String` | `getSchemaLocation()` Answer the location of the DIG schema for this version of the DIG protocol

Field Detail

### GET_IDENTIFIER

    static final java.lang.String GET_IDENTIFIER

  The DIG verb to get the identification information on the reasoner

  See Also:
    Constant Field Values

### VERSION

    static final java.lang.String VERSION

  The DIG attribute denoting the version string of a reasoner

  See Also:
    Constant Field Values

### MESSAGE

    static final java.lang.String MESSAGE

  The DIG attribute denoting the version message string of a reasoner

  See Also:
    Constant Field Values

### SUPPORTS

    static final java.lang.String SUPPORTS

  The DIG element denoting the capabilities of the reasoner

  See Also:
    Constant Field Values

### LANGUAGE

    static final java.lang.String LANGUAGE

  The DIG element denoting the language capabilities of the reasoner

  See Also:
    Constant Field Values

### ASK

    static final java.lang.String ASK

  The DIG element denoting the ask capabilities of the reasoner

  See Also:
    Constant Field Values

### TELL

    static final java.lang.String TELL

  The DIG element denoting the tell capabilities of the reasoner

  See Also:
    Constant Field Values

### TELLS

    static final java.lang.String TELLS

See Also:
  Constant Field Values

### ASKS

    static final java.lang.String ASKS

See Also:
  Constant Field Values

### NEWKB

    static final java.lang.String NEWKB

See Also:
  Constant Field Values

### RELEASEKB

    static final java.lang.String RELEASEKB

See Also:
  Constant Field Values

### RESPONSE

    static final java.lang.String RESPONSE

See Also:
  Constant Field Values

### OK

    static final java.lang.String OK

See Also:
  Constant Field Values

### KB

    static final java.lang.String KB

See Also:
  Constant Field Values

### ERROR

    static final java.lang.String ERROR

See Also:
  Constant Field Values

### CONCEPT_SET

    static final java.lang.String CONCEPT_SET

See Also:
  Constant Field Values

### SYNONYMS

    static final java.lang.String SYNONYMS

See Also:
  Constant Field Values

### ROLE_SET

    static final java.lang.String ROLE_SET

See Also:
  Constant Field Values

### INDIVIDUAL_SET

    static final java.lang.String INDIVIDUAL_SET

See Also:
  Constant Field Values

### INDIVIDUAL_PAIR_SET

    static final java.lang.String INDIVIDUAL_PAIR_SET

See Also:
  Constant Field Values

### INDIVIDUAL_PAIR

    static final java.lang.String INDIVIDUAL_PAIR

See Also:
  Constant Field Values

### TRUE

    static final java.lang.String TRUE

See Also:
  Constant Field Values

### FALSE

    static final java.lang.String FALSE

See Also:
  Constant Field Values

### WARNING

    static final java.lang.String WARNING

See Also:
  Constant Field Values

### ALL_CONCEPT_NAMES

    static final java.lang.String ALL_CONCEPT_NAMES

See Also:
  Constant Field Values

### ALL_ROLE_NAMES

    static final java.lang.String ALL_ROLE_NAMES

See Also:
  Constant Field Values

### ALL_INDIVIDUALS

    static final java.lang.String ALL_INDIVIDUALS

See Also:
  Constant Field Values

### SATISFIABLE

    static final java.lang.String SATISFIABLE

See Also:
  Constant Field Values

### SUBSUMES

    static final java.lang.String SUBSUMES

See Also:
  Constant Field Values

### PARENTS

    static final java.lang.String PARENTS

See Also:
  Constant Field Values

### CHILDREN

    static final java.lang.String CHILDREN

See Also:
  Constant Field Values

### ANCESTORS

    static final java.lang.String ANCESTORS

See Also:
  Constant Field Values

### DESCENDANTS

    static final java.lang.String DESCENDANTS

See Also:
  Constant Field Values

### EQUIVALENTS

    static final java.lang.String EQUIVALENTS

See Also:
  Constant Field Values

### RPARENTS

    static final java.lang.String RPARENTS

See Also:
  Constant Field Values

### RCHILDREN

    static final java.lang.String RCHILDREN

See Also:
  Constant Field Values

### RANCESTORS

    static final java.lang.String RANCESTORS

See Also:
  Constant Field Values

### RDESCENDANTS

    static final java.lang.String RDESCENDANTS

See Also:
  Constant Field Values

### INSTANCES

    static final java.lang.String INSTANCES

See Also:
  Constant Field Values

### TYPES

    static final java.lang.String TYPES

See Also:
  Constant Field Values

### INSTANCE

    static final java.lang.String INSTANCE

See Also:
  Constant Field Values

### ROLE_FILLERS

    static final java.lang.String ROLE_FILLERS

See Also:
  Constant Field Values

### RELATED_INDIVIDUALS

    static final java.lang.String RELATED_INDIVIDUALS

See Also:
  Constant Field Values

### TOLD_VALUES

    static final java.lang.String TOLD_VALUES

See Also:
  Constant Field Values

### DEFCONCEPT

    static final java.lang.String DEFCONCEPT

See Also:
  Constant Field Values

### DEFROLE

    static final java.lang.String DEFROLE

See Also:
  Constant Field Values

### DEFFEATURE

    static final java.lang.String DEFFEATURE

See Also:
  Constant Field Values

### DEFATTRIBUTE

    static final java.lang.String DEFATTRIBUTE

See Also:
  Constant Field Values

### DEFINDIVIDUAL

    static final java.lang.String DEFINDIVIDUAL

See Also:
  Constant Field Values

### IMPLIESC

    static final java.lang.String IMPLIESC

See Also:
  Constant Field Values

### EQUALC

    static final java.lang.String EQUALC

See Also:
  Constant Field Values

### DISJOINT

    static final java.lang.String DISJOINT

See Also:
  Constant Field Values

### IMPLIESR

    static final java.lang.String IMPLIESR

See Also:
  Constant Field Values

### EQUALR

    static final java.lang.String EQUALR

See Also:
  Constant Field Values

### DOMAIN

    static final java.lang.String DOMAIN

See Also:
  Constant Field Values

### RANGE

    static final java.lang.String RANGE

See Also:
  Constant Field Values

### RANGEINT

    static final java.lang.String RANGEINT

See Also:
  Constant Field Values

### RANGESTRING

    static final java.lang.String RANGESTRING

See Also:
  Constant Field Values

### TRANSITIVE

    static final java.lang.String TRANSITIVE

See Also:
  Constant Field Values

### FUNCTIONAL

    static final java.lang.String FUNCTIONAL

See Also:
  Constant Field Values

### INSTANCEOF

    static final java.lang.String INSTANCEOF

See Also:
  Constant Field Values

### RELATED

    static final java.lang.String RELATED

See Also:
  Constant Field Values

### VALUE

    static final java.lang.String VALUE

See Also:
  Constant Field Values

### TOP

    static final java.lang.String TOP

See Also:
  Constant Field Values

### BOTTOM

    static final java.lang.String BOTTOM

See Also:
  Constant Field Values

### CATOM

    static final java.lang.String CATOM

See Also:
  Constant Field Values

### AND

    static final java.lang.String AND

See Also:
  Constant Field Values

### OR

    static final java.lang.String OR

See Also:
  Constant Field Values

### NOT

    static final java.lang.String NOT

See Also:
  Constant Field Values

### SOME

    static final java.lang.String SOME

See Also:
  Constant Field Values

### ALL

    static final java.lang.String ALL

See Also:
  Constant Field Values

### ATMOST

    static final java.lang.String ATMOST

See Also:
  Constant Field Values

### ATLEAST

    static final java.lang.String ATLEAST

See Also:
  Constant Field Values

### ISET

    static final java.lang.String ISET

See Also:
  Constant Field Values

### DEFINED

    static final java.lang.String DEFINED

See Also:
  Constant Field Values

### STRINGMIN

    static final java.lang.String STRINGMIN

See Also:
  Constant Field Values

### STRINGMAX

    static final java.lang.String STRINGMAX

See Also:
  Constant Field Values

### STRINGEQUALS

    static final java.lang.String STRINGEQUALS

See Also:
  Constant Field Values

### STRINGRANGE

    static final java.lang.String STRINGRANGE

See Also:
  Constant Field Values

### INTMIN

    static final java.lang.String INTMIN

See Also:
  Constant Field Values

### INTMAX

    static final java.lang.String INTMAX

See Also:
  Constant Field Values

### INTEQUALS

    static final java.lang.String INTEQUALS

See Also:
  Constant Field Values

### INTRANGE

    static final java.lang.String INTRANGE

See Also:
  Constant Field Values

### RATOM

    static final java.lang.String RATOM

See Also:
  Constant Field Values

### FEATURE

    static final java.lang.String FEATURE

See Also:
  Constant Field Values

### INVERSE

    static final java.lang.String INVERSE

See Also:
  Constant Field Values

### ATTRIBUTE

    static final java.lang.String ATTRIBUTE

See Also:
  Constant Field Values

### CHAIN

    static final java.lang.String CHAIN

See Also:
  Constant Field Values

### INDIVIDUAL

    static final java.lang.String INDIVIDUAL

See Also:
  Constant Field Values

### NUM

    static final java.lang.String NUM

See Also:
  Constant Field Values

### IVAL

    static final java.lang.String IVAL

See Also:
  Constant Field Values

### SVAL

    static final java.lang.String SVAL

See Also:
  Constant Field Values

### NAME

    static final java.lang.String NAME

See Also:
  Constant Field Values

### VAL

    static final java.lang.String VAL

See Also:
  Constant Field Values

### MIN

    static final java.lang.String MIN

See Also:
  Constant Field Values

### MAX

    static final java.lang.String MAX

See Also:
  Constant Field Values

### URI

    static final java.lang.String URI

See Also:
  Constant Field Values

### ID

    static final java.lang.String ID

See Also:
  Constant Field Values

### CODE

    static final java.lang.String CODE

See Also:
  Constant Field Values

Method Detail

### getDIGNamespace

    java.lang.String getDIGNamespace()

  Answer the root namespace for this version of the DIG protocol

### getSchemaLocation

    java.lang.String getSchemaLocation()

  Answer the location of the DIG schema for this version of the DIG protocol

### getContentType

    java.lang.String getContentType()

  Answer the HTTP Content-Type of a DIG request (e.g. text/xml)

### getInconsistentKBMessage

    java.lang.String getInconsistentKBMessage()

  Answer the string value of an error message denoting an inconsistent KB

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP